package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class StorageViewGroupModel implements Cloneable {
    private Long id; // 访问路径，客户端组，卷之前的Mapping id
    private String accessPathUuid; // 访问路径id
    private String accessPathName;
    private List<MappingLunGroupModel> mappingLunGroupModels; // 客户端组和卷的对应关系
    private String status;
    private Date createTime;
    private Date updateTime;
    private Long lunId; // 客户端组和卷的对应关系id
    private String uuid;
    private String blockVolumeUuid; // 同步时将mappingLunGroupModel
    private String clienGroupUuid;
    private String lunGroupUuid;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAccessPathUuid() {
        return accessPathUuid;
    }

    public void setAccessPathUuid(String accessPathUuid) {
        this.accessPathUuid = accessPathUuid;
    }

    public List<MappingLunGroupModel> getMappingLunGroupModels() {
        return mappingLunGroupModels;
    }

    public void setMappingLunGroupModels(List<MappingLunGroupModel> mappingLunGroupModels) {
        this.mappingLunGroupModels = mappingLunGroupModels;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getLunId() {
        return lunId;
    }

    public void setLunId(Long lunId) {
        this.lunId = lunId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getBlockVolumeUuid() {
        return blockVolumeUuid;
    }

    public void setBlockVolumeUuid(String blockVolumeUuid) {
        this.blockVolumeUuid = blockVolumeUuid;
    }

    public String getClienGroupUuid() {
        return clienGroupUuid;
    }

    public void setClienGroupUuid(String clienGroupUuid) {
        this.clienGroupUuid = clienGroupUuid;
    }

    public String getAccessPathName() {
        return accessPathName;
    }

    public void setAccessPathName(String accessPathName) {
        this.accessPathName = accessPathName;
    }

    public String getLunGroupUuid() {
        return lunGroupUuid;
    }

    public void setLunGroupUuid(String lunGroupUuid) {
        this.lunGroupUuid = lunGroupUuid;
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}
